/* Takes a Struct and makes it a CStruct */!!

inherit(CStruct, #TbirdStruct, nil, 2, nil)!!

now(class(TbirdStruct))!!

/* comment */
Def cStructFromStruct(self, type, aStruct)
{
  ^cStructFromStruct( new(self), type, aStruct )
}
!!

now(TbirdStruct)!!

/* Initialize the receiver using the given type. The type
  must be a valid UserType symbol. */
Def cStructFromStruct(self, type, aStruct | t )
{ t := findType(CType, type);
  data := aStruct;
  fields := fields(t);
}!!